import * as React from 'react';
import { CheckBoxType, Option } from './CheckedSelectUtils';
declare type BadgeListSelectorProps = {
    onChange: (values: {
        value: string;
    }[]) => void;
    selectedValue: {
        value: string;
    }[];
    options: Option[];
    getOptionLabel?: (option: Option, selectedValues: {
        [optionValue: string]: any;
    }, checkBoxType?: CheckBoxType) => JSX.Element;
    checkBoxType?: CheckBoxType;
    isDisabled?: boolean;
    numberOfColumnsPerRow?: number;
    isDriverAnnotated?: boolean;
    onOnlyDriverVsVusChange?: (values: {
        value: string;
    }[]) => void;
    driverAnnotationIcon?: JSX.Element;
    onBadgeSelect?: (value: string, selectedValues: {
        value: string;
    }[], onChange: (values: {
        value: string;
    }[]) => void) => void;
    onOnlySelect?: (value: string, onChange: (values: {
        value: string;
    }[]) => void, onOnlyDriverVsVusChange: (values: {
        value: string;
    }[]) => void) => void;
    useOnlyFeature?: boolean;
};
export default class BadgeListSelector extends React.Component<BadgeListSelectorProps, {}> {
    constructor(props: any);
    static defaultProps: Partial<BadgeListSelectorProps>;
    get selectedValues(): {
        [value: string]: {
            value: string;
        };
    };
    render(): JSX.Element[];
    private getOptionLabel;
    protected getBadgeCell(option: Option): JSX.Element | null;
    protected optionSelectComponent(option: Option): JSX.Element;
    protected handleSelect(value: string): void;
}
export {};
