import * as React from 'react';
import 'rc-tooltip/assets/bootstrap_white.css';
import './styles.scss';
import { TooltipProps } from 'rc-tooltip/es/Tooltip';
export declare const TOOLTIP_MOUSE_ENTER_DELAY_MS = 0.5;
export interface DefaultTooltipProps extends TooltipProps {
    disabled?: boolean;
    getTooltipContainer?: () => HTMLElement;
    children: any;
}
export default class DefaultTooltip extends React.Component<DefaultTooltipProps, {}> {
    static readonly defaultProps: {
        mouseEnterDelay: number;
        mouseLeaveDelay: number;
        arrowContent: JSX.Element;
    };
    defaultSetArrowLeft(tooltipEl: Element, align: any): void;
    render(): JSX.Element;
}
export declare function setArrowLeft(tooltipEl: any, left: string): void;
export declare function placeArrowBottomLeft(tooltipEl: any): void;
