import * as React from 'react';
export interface IEditableSpanProps extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> {
    value: string;
    setValue: (val: string) => boolean | void;
    maxChars?: number;
    numericOnly?: boolean;
    isPercentage?: boolean;
    textFieldAppearance?: boolean | 'editing';
    allowEmptyValue?: boolean;
}
export default class EditableSpan extends React.Component<IEditableSpanProps, {}> {
    private enterPressedSinceLastBlur;
    private spanElt;
    private dirty;
    constructor(props: IEditableSpanProps);
    private spanRef;
    private onKeyPress;
    private onKeyUp;
    private onBlur;
    private setText;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IEditableSpanProps): void;
    get className(): string;
    render(): JSX.Element;
}
