import * as React from 'react';
import './styles.scss';
export interface IScatterPlotTooltipProps {
    container: HTMLDivElement;
    overlay: JSX.Element;
    targetCoords: {
        x: number;
        y: number;
    };
    targetHovered?: boolean;
    className?: string;
    placement?: string;
    arrowOffsetTop?: number;
}
export default class ScatterPlotTooltip extends React.Component<IScatterPlotTooltipProps> {
    constructor(props: any);
    isHovered: boolean;
    private onMouseEnter;
    private onMouseLeave;
    render(): JSX.Element | null;
}
