export interface ISimpleColumnVisibilityDef {
    name: string;
    id?: string;
    visible?: boolean;
}
export declare function resolveColumnVisibilityByColumnDefinition(columns?: ISimpleColumnVisibilityDef[]): {
    [columnId: string]: boolean;
};
export declare function resolveColumnVisibility(defaultColumnVisibility: {
    [columnId: string]: boolean;
}, currentColumnVisibility?: {
    [columnId: string]: boolean;
}, userSelectionColumnVisibility?: {
    [columnId: string]: boolean;
}): {
    [columnId: string]: boolean;
};
export declare function toggleColumnVisibility(columnVisibility: {
    [columnId: string]: boolean;
} | undefined, columnId: string, columnVisibilityDefs?: ISimpleColumnVisibilityDef[]): {
    [columnId: string]: boolean;
};
