export declare function calcPlotHorizontalPadding(label: string | string[], tickFontFamily: string, tickFontSize: number): any;
export declare function calcPlotDiagonalPadding(label: string | string[], tickFontFamily: string, tickFontSize: number, tiltAngle?: number): number;
export declare function calcPlotBottomPadding(tickFontFamily: string, tickFontSize: number, tickLabels: Array<string | string[]>, tiltAngle?: number, maxPadding?: number, minPadding?: number): number;
export declare function calcPlotLeftPadding(tickFontFamily: string, tickFontSize: number, tickLabels: Array<string | string[]>, maxPadding?: number, minPadding?: number): any;
export declare function makeTooltipMouseEvents(self: {
    tooltipModel: any;
    pointHovered: boolean;
}): {
    target: string;
    eventHandlers: {
        onMouseOver: () => {
            target: string;
            mutation: (props: any) => {
                active: boolean;
            };
        }[];
        onMouseOut: () => {
            target: string;
            mutation: () => {
                active: boolean;
            };
        }[];
    };
}[];
