import { IReactionDisposer } from 'mobx';
import { MobxPromise } from '../MobxPromise';
export declare function onMobxPromise<T>(promise: MobxPromise<T> | Array<MobxPromise<T>>, onComplete: (...results: T[]) => void, times?: number, onDispose?: () => void): IReactionDisposer;
export declare function toPromise<T>(promise: MobxPromise<T>): Promise<T>;
export default onMobxPromise;
