import * as React from 'react';
declare type HitZoneProps = {
    x: number;
    y: number;
    width: number;
    height: number;
    cursor?: string;
    onMouseOver?: () => void;
    onClick?: () => void;
    onMouseOut?: () => void;
    onMouseEnter?: () => void;
    onMouseLeave?: () => void;
};
export declare type HitZoneConfig = {
    hitRect: {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    content?: JSX.Element;
    mirrorHitRect?: {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    mirrorContent?: JSX.Element;
    tooltipPlacement?: string;
    cursor?: string;
    onMouseOver?: () => void;
    onClick?: () => void;
    onMouseOut?: () => void;
};
export declare function defaultHitzoneConfig(): HitZoneConfig;
export declare function initHitZoneFromConfig(config: HitZoneConfig): JSX.Element;
export declare class HitZone extends React.Component<HitZoneProps, {}> {
    private handlers;
    constructor(props: HitZoneProps);
    render(): JSX.Element;
}
export default HitZone;
