import * as React from 'react';
export declare type Tick = {
    position: number;
    label?: string;
};
declare type SVGAxisProps = {
    x: number;
    y: number;
    length: number;
    ticks: Tick[];
    tickLength: number;
    rangeLower: number;
    rangeUpper: number;
    vertical?: boolean;
    reverse?: boolean;
    invertTicks?: boolean;
    label?: string;
    verticalLabelPadding?: number;
    horizontalLabelPadding?: number;
    tickLabelPadding?: number;
};
export default class SVGAxis extends React.Component<SVGAxisProps, {}> {
    static defaultProps: Partial<SVGAxisProps>;
    private positionToAxisPosition;
    private get ticks();
    private get label();
    render(): JSX.Element;
}
export {};
