import * as React from 'react';
export interface IGradientLegendProps {
    gradientId: string;
    title: string;
    x: number;
    y: number;
    width: number;
    height: number;
    min: number;
    max: number;
    fontSize?: number;
    fontFamily?: string;
}
export declare const TITLE_DX = -12;
export declare const TITLE_DY = -5;
export declare class GradientLegend extends React.Component<IGradientLegendProps> {
    constructor(props: any);
    static defaultProps: Partial<IGradientLegendProps>;
    get rectX(): number;
    get rectY(): number;
    get title(): JSX.Element;
    get labels(): JSX.Element[];
    get gradientRect(): JSX.Element;
    render(): JSX.Element;
}
export default GradientLegend;
