import * as React from 'react';
export interface ITruncatedTextProps {
    text: string;
    className?: string;
    maxLength?: number;
    buffer?: number;
    suffix?: string;
    addTooltip?: 'truncated' | 'always' | 'never';
    tooltip?: JSX.Element;
}
export declare function isTooLong(text: string, maxLength: number, buffer?: number): boolean;
export declare function truncateText(text: string, suffix: string, maxLength: number, buffer?: number): string;
/**
 * @author Selcuk Onur Sumer
 */
export default class TruncatedText extends React.Component<ITruncatedTextProps, {}> {
    constructor(props: any);
    static defaultProps: {
        maxLength: number;
        buffer: number;
        suffix: string;
        addTooltip: string;
    };
    render(): JSX.Element;
    get needsTooltip(): boolean;
    get isTooLong(): boolean;
    get truncatedText(): string;
}
